Name:           e_dbus
Version:        1.7.8
Release:        1%{?dist}
Summary:        Wrappers around dbus for EFL based applications

Group:          System Environment/Libraries
License:        MIT
URL:            http://web.enlightenment.org/p.php?p=about/efl&l=en
Source0:        http://download.enlightenment.org/snapshots/2009-06-14/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  ecore-devel evas-devel dbus-devel chrpath pkgconfig libeina-devel doxygen

%description
Basic convenience wrappers around dbus to ease integrating dbus with EFL based
applications.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release} 
Requires:       dbus-devel ecore-devel evas-devel pkgconfig libeina-devel

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q


%build
%configure --disable-static --disable-econnman --disable-eofono --enable-eukit --enable-ebluez --enable-enotify
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'
rm $RPM_BUILD_ROOT%{_bindir}/%{name}_*
chrpath --delete $RPM_BUILD_ROOT%{_bindir}/e-notify-send
chrpath --delete $RPM_BUILD_ROOT%{_libdir}/*.so.*
find $RPM_BUILD_ROOT -name '*.la' -delete


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_bindir}/e-notify-send
%{_libdir}/*.so.*
%{_datadir}/%{name}

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Sat Dec 10 2011 Chelban Vasile <vchelban@fedoramd.org> 1.1.0-1
- include datadir

* Mon May 10 2010 Chelban Vasile <vchelban@fedoramd.org> 0.5.0.063-4
- reenable enotify

* Sun May 09 2010 Chelban Vasile <vchelban@fedoramd.org> 0.5.0.063-3
- disable oPhono, connman

* Fri May 07 2010 Chelban Vasile <vchelban@fedoramd.org> 0.5.0.063-2
- e-notify-send removed

* Mon Dec 07 2009 Chelban Vasile <vchelban@fedoramd.org> 0.5.0.063-1
- version bump

* Wed Jul 15 2009 Vasile Chelban <vchelban@fedoramd.org> 0.5.0.061-1
- version bump

* Thu Mar 12 2009 Chelban Vasile <vchelban@fedoramd.org> 0.5.0.050-3
- renamed eina to libeina

* Mon Feb 16 2009 Chelban Vasile <vchelban@fedoramd.org> 0.5.0.050-2
- BuildRequires: eina-devel

* Sat Nov 29 2008 Pavel "Stalwart" Shevchuk <stlwrt@gmail.com> - 0.5.0.050-1
- New upstream snapshot

* Mon May 19 2008 Pavel "Stalwart" Shevchuk <stlwrt@gmail.com> - 0.5.0.043-1
- New upstream snapshot

* Sat May 17 2008 Pavel "Stalwart" Shevchuk <stlwrt@gmail.com> - 0.1.0.042-3
- Fixed pkgconfig missing from buildrequires and requires of e_dbus-devel
- Removed unneeded test binaries
- Fixed copypaste abuse in enm.pc.in, patch upstreamed

* Sun May 04 2008 Pavel "Stalwart" Shevchuk <stlwrt@gmail.com> - 0.1.0.042-2
- Fixed typo in E_Nm.h, fix committed upstream
- Added missing dependencies to e_dbus-devel
- Fixed timestamp of source tarball
- Preserve timestamps of installed files

* Mon Apr 14 2008 Pavel "Stalwart" Shevchuk <stlwrt@gmail.com> - 0.1.0.042-1
- Initial specfile for e_dbus
